;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                          CrockMan  Original Levels                         ;
;                                                                            ;
;                       Thanks To Patrick Pelissier  :)                      ;
;              For String Compilator And External Levels Help !              ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Don't Change That !!!                                         ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
                                                                ;
_nostub:                                                        ;
  xdef      _nostub                                             ;
_ti89:
  xdef      _ti89                                               ;
_ti92plus:
  xdef      _ti92plus                                           ;
                                                                ;
                                                                ;
  dc.l 'CM68'         ; Don't change that !   (Levels format)   ;
  dc.l '1.01'         ;                                         ;
                                                                ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  dc.w 11    ; Number of Levels, very important !


;       |                                      |
;       |                                      |
;       |                                      |
;       V                                      V
;       1234567890123456789012345678901234567890
  dc.b "The stones world by Flavien Racine      ",0    ; 40 chars exactly !!!


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                             Here Are The Sprites                           ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;                  ;
; The monsters box ;
;                  ;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;

; dc.w %0000000000000000      ; The box's sprite #1     ;
; dc.w %0000000000000000                                ;
; dc.w %1000000010000000                                ;
; dc.w %1000100010000000                                ;
; dc.w %1001110010000000                                ;
; dc.w %1011111010000000                                ;
; dc.w %1111111110000000                                ; GrayScales cause two picture's planes
; dc.w %0111111100000000                                ;
; dc.w %0011111000000000                                ;
; dc.w %0000000000000000                                ;
;                                                       ;
; dc.w %0110001100000000      ; The box's sprite #2     ;
; dc.w %1100100110000000
; dc.w %0001110000000000
; dc.w %1011011010000000
; dc.w %1110001110000000
; dc.w %1100100110000000
; dc.w %0001110000000000
; dc.w %1011111010000000
; dc.w %0101110100000000
; dc.w %0000000000000000

 dc.w %0111111100000000
 dc.w %1010000010000000
 dc.w %1011111010000000
 dc.w %1000001010000000
 dc.w %1111111110000000
 dc.w %1001011110000000
 dc.w %1111111110000000
 dc.w %1010111110000000
 dc.w %0111111100000000
 dc.w %0000000000000000

 dc.w %0111111100000000
 dc.w %1101111110000000
 dc.w %1101110110000000
 dc.w %1111110110000000
 dc.w %1111111110000000
 dc.w %1111101010000000
 dc.w %1111111110000000
 dc.w %1111010010000000
 dc.w %0111111100000000
 dc.w %0000000000000000

;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;                  ;
; The wall sprites ;
;                  ;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;

; dc.w %0000000000000000      ; The wall's sprite #1
; dc.w %0000010000000000
; dc.w %0001101100000000
; dc.w %0011111110000000
; dc.w %0101111110000000
; dc.w %0111111110000000
; dc.w %0111111110000000
; dc.w %0111111110000000
; dc.w %0011111100000000
; dc.w %0000000000000000
;
; dc.w %0000111000000000      ; The wall's sprite #2
; dc.w %0011101100000000
; dc.w %0110010110000000
; dc.w %1100101010000000
; dc.w %1011011110000000
; dc.w %1101101010000000
; dc.w %0011111110000000
; dc.w %0111011100000000
; dc.w %0001111000000000
; dc.w %0000000000000000

 dc.w %0001110000000000
 dc.w %0010011000000000
 dc.w %0110011100000000
 dc.w %0110000100000000
 dc.w %1011011110000000
 dc.w %1001011110000000
 dc.w %1000000110000000
 dc.w %0110111100000000
 dc.w %0001111000000000
 dc.w %0000000000000000

 dc.w %0001110000000000
 dc.w %0011101000000000
 dc.w %0101100100000000
 dc.w %0101111100000000
 dc.w %1100100010000000
 dc.w %1110100010000000
 dc.w %1111111010000000
 dc.w %0111000100000000
 dc.w %0001111000000000
 dc.w %0000000000000000

;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;
;                        ;
; The BackGround sprites ;
;                        ;
;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;

 dc.w %0000000000000000      ; The BackGround's sprite #1
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000
 dc.w %0000000000000000

 dc.w %0000000100000000      ; The BackGround's sprite #1
 dc.w %1000000000000000
 dc.w %0000010000000000
 dc.w %0000000010000000
 dc.w %0010000000000000
 dc.w %0000000100000000
 dc.w %1000000000000000
 dc.w %0000100000000000
 dc.w %0100001000000000
 dc.w %0000000000000000


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                                                            ;
;                              Here Are The Levels                           ;
;                                                                            ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;                                  ;
; Levels Format :                  ;
;   0 = Empty                      ;
;   1 = Wall                       ;
;   2 = Point                      ;
;   3 = Big Point, Ball            ;
;   4 = Monsters Box               ;
;                                  ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;            JUST CHANGE HERE TO BUILD YOUR OWN LEVELS
;
;
;
;               I       I       I       I       I
;               I       I       I       I       I
;              \I/     \I/     \I/     \I/     \I/
;               v       v       v       v       v
 
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,3,2,2,2,2,2,5,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,1,2,1,1,1,1,1,2,1    ;;;
              dc.b 1,2,2,3,2,2,2,2,2,2,1,2,2,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,1,1,4,1,2,1,2,1,2,1,3,1       ;;;;; Level 1
              dc.b 1,2,1,2,2,2,2,2,1,2,1,2,1,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,1,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,2,1,2,2,2,1,2,1,2,1    ;;
              dc.b 1,2,1,2,1,1,1,1,1,2,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,5,2,2,2,2,2,2,2,2,2,2,2,2,2,3,1    ;;
              dc.b 1,2,1,1,2,1,1,1,1,1,2,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,1,2,3,2,1,2,2,1,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,1,2,1,2,1,1,2,1,2,1,2,1       ;;;;; Level 2
              dc.b 1,2,2,2,2,2,2,1,2,2,2,2,2,2,1,2,1     ;;;;  
              dc.b 1,2,1,1,1,1,2,1,2,1,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,2,2,2,2,2,1,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,4,1,1,1,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,3,2,2,2,2,2,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,2,5,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,2,1,1,1,1,1,1,1,1,1,2,4,2,1    ;;;
              dc.b 1,2,1,2,1,2,2,2,3,2,2,2,1,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,2,1,1,1,1,1,2,1,2,1,2,1       ;;;;; Level 3
              dc.b 1,2,1,2,1,2,2,2,2,2,2,2,1,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,1,1,1,2,1,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,2,2,2,2,2,2,2,1,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,2,1,1,1,1,1,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,3,2,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,1,5,2,2,2,2,2,2,2,3,2,2,1    ;;
              dc.b 1,2,1,2,1,2,1,1,1,1,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,1,2,1,2,2,2,2,2,2,2,1,2,1     ;;;; 
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1       ;;;;; Level 4
              dc.b 1,2,1,2,1,2,1,2,2,2,2,2,2,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,3,2,2,2,2,2,2,2,2,2,1,2,1    ;;
              dc.b 1,2,1,2,1,1,1,1,4,1,1,1,1,1,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,1,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,2,1,1,1,2,1,2,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,1,2,2,2,1,2,2,2,2,2,2,2,1     ;;;; 
              dc.b 1,2,1,2,1,3,1,2,5,2,1,2,1,1,1,2,1       ;;;;; Level 5
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,2,3,1     ;;;;
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,2,1,2,2,2,3,2,1,2,1    ;;
              dc.b 1,2,1,2,1,1,1,1,1,4,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,1,1,2,1,1,1,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,1,5,2,3,2,2,2,2,2,2,1     ;;;;
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1       ;;;;; Level 6
              dc.b 1,3,1,2,1,2,1,2,2,2,1,2,2,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,2,1,1,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,1,2,2,2,1,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,2,1,1,1,2,1,4,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,5,2,2,2,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,4,2,1,1,1,1,1,1,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,2,2,1,2,2,2,1,2,2,3,1,2,1,2,1     ;;;;
              dc.b 1,1,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1       ;;;;; Level 7
              dc.b 1,2,2,2,1,2,1,2,1,2,1,2,1,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,2,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,1,3,1,2,2,2,2,2,2,2,1,2,1    ;;
              dc.b 1,2,1,2,1,2,1,1,1,1,1,1,1,1,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,4,1,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,5,2,2,2,2,2,2,1,2,2,2,2,2,1     ;;;;
              dc.b 1,2,1,3,1,2,1,2,1,2,2,2,1,2,1,2,1       ;;;;; Level 8
              dc.b 1,2,1,2,2,2,2,2,2,2,1,2,2,2,1,2,1     ;;;;  
              dc.b 1,2,1,1,1,1,1,1,1,2,1,1,1,2,1,2,1    ;;;
              dc.b 1,3,2,2,2,2,2,2,1,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,2,1,1,1,2,1,1,1,1,1,2,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,1,1,2,1,1,1,1,1,1,3,1    ;;;
              dc.b 1,2,1,2,2,3,2,2,5,2,2,2,2,2,1,2,1     ;;;;
              dc.b 1,2,1,2,1,2,1,1,2,1,1,2,1,2,1,2,1       ;;;;; Level 9
              dc.b 1,2,1,2,1,2,1,2,2,2,1,2,1,2,1,2,1     ;;;;  
              dc.b 1,2,1,2,1,2,2,2,4,2,2,2,1,2,1,2,1    ;;;
              dc.b 1,2,2,2,1,2,1,2,2,2,1,2,1,2,2,2,1    ;;
              dc.b 1,2,1,1,1,2,1,1,1,1,1,2,1,1,1,2,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,2,2,3,2,5,2,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,1,1,1,2,1,2,1,2,1,1,1,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,1,2,1,2,2,2,2,1,2,1     ;;;; 
              dc.b 1,2,1,2,1,1,1,1,2,1,1,1,1,2,1,2,1       ;;;;; Level 10
              dc.b 1,2,2,3,2,2,2,2,2,2,2,2,2,2,2,2,1     ;;;;
              dc.b 1,2,1,2,1,1,1,1,2,4,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,1,2,1,2,2,2,2,1,2,1    ;;
              dc.b 1,2,1,1,1,1,2,1,2,1,2,1,1,1,1,3,1  ;;;
              dc.b 1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;
              dc.b 1,2,2,2,1,2,2,3,1,5,2,2,2,2,2,2,1    ;;
              dc.b 1,2,1,2,2,2,1,2,1,2,1,2,1,2,1,2,1    ;;;
              dc.b 1,2,1,1,1,2,1,2,2,2,1,3,1,2,2,2,1     ;;;;
              dc.b 1,2,2,2,1,2,1,1,1,1,2,2,2,1,1,2,1       ;;;;; Level 11
              dc.b 1,2,1,2,2,2,2,2,2,2,2,1,2,2,2,2,1     ;;;;  
              dc.b 1,2,1,2,1,1,1,4,2,1,1,1,1,2,1,2,1    ;;;
              dc.b 1,2,1,2,2,2,2,1,2,2,1,2,2,2,1,2,1    ;;
              dc.b 1,2,1,1,1,1,2,1,1,2,1,2,1,1,1,2,1  ;;;
              dc.b 1,2,3,2,2,2,2,2,2,2,2,3,2,2,2,2,1  ;;;
              dc.b 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1  ;;;

  end
